Skip to main content
`Ctrl`+`K`

# skbio.sequence.Sequence.distance

Sequence.distance(other, metric=None)

  Compute the distance to another sequence.

  Parameters:
    other str, Sequence, or 1D np.ndarray (np.uint8 or ‘|S1’)

      Sequence to compute the distance to. If `other` is a `Sequence` object, it must be the same type as this sequence. Other input types will be converted into a `Sequence` object of the same type as this sequence.

    metric callable, optional

      Function used to compute the distance between this sequence and `other`. By default, Hamming distance will be used (see `hamming`). `metric` should be a function that takes two `Sequence` objects and returns a `float`. The sequence objects passed to `metric` will be the same type as this sequence. See `skbio.sequence.distance` for other predefined metrics that can be supplied via `metric`.

  Returns:
    float

      Distance between this and other sequences as defined by `metric`.

  Raises:
    TypeError

      If `other` is a `Sequence` object with a different type than this sequence.

  See also

  `skbio.sequence.distance`

  Examples

      >>> from skbio import Sequence
      >>> s = Sequence('GGUC')
      >>> t = Sequence('AGUC')

  Compute Hamming distance (the default metric):

      >>> s.distance(t)
      0.25

  Use a custom metric:

      >>> def custom_metric(s1, s2): return 0.42
      >>> s.distance(t, custom_metric)
      0.42